Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 206908 - x11-base/xorg-server: broken DGA ?
Summary: x11-base/xorg-server: broken DGA ?
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
: 206959 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-01-21 18:55 UTC by Billy DeVincentis
Modified: 2009-06-24 06:03 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
xorg.conf (xorg.conf,2.85 KB, text/plain)
2008-01-23 22:58 UTC, Billy DeVincentis
Details
xorg.0.log (Xorg.0.log,27.48 KB, text/plain)
2008-01-23 23:00 UTC, Billy DeVincentis
Details
`emerge --info` (emerge.info,5.04 KB, text/plain)
2008-01-28 17:43 UTC, Vladimir G. Ivanovic
Details
Current, working Xorg-server log file (Xorg.0.log,31.18 KB, text/plain)
2008-01-28 17:44 UTC, Vladimir G. Ivanovic
Details
Xorg configuration file (xorg.conf,2.91 KB, text/plain)
2008-01-28 17:45 UTC, Vladimir G. Ivanovic
Details
Alex Elsayed (eternaleye)'s xorg.conf (xorg.conf,10.35 KB, text/plain)
2008-04-17 03:39 UTC, Alex Elsayed
Details
Alex Elsayed (eternaleye)'s Xorg.0.log (Xorg.0.log,32.20 KB, text/plain)
2008-04-17 03:40 UTC, Alex Elsayed
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Billy DeVincentis 2008-01-21 18:55:23 UTC
I  hadn't  played  for  a  while  but  it  seems  that  after  having  upgraded  my  systems  to  ~amd64  and  ~x86  respectively,  none  of  the  ut2004  series  games  can  be  played.  Mouse  will  wander  to  edge  and  unless  moved  very  quickly  will  not  move  at  all.  Mouse  lags  and  is  unresponsive.

Reproducible: Always




Portage 2.1.4 (default-linux/amd64/2007.0/desktop, gcc-4.2.2, glibc-2.7-r1, 2.6.23-gentoo-r5 x86_64)
=================================================================
System uname: 2.6.23-gentoo-r5 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 4200+
Timestamp of tree: Mon, 21 Jan 2008 06:30:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.3
dev-lang/python:     2.5.1-r5
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg distlocks fixpackages metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/miscellaneous /usr/local/portage/font-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowtext S3TC X a52 aac aalib accessibility acl acpi aiglx alsa amarok amd64 apm arts artworkextra asf audiofile automount avahi avi bash-completion berkdb bitmap-fonts bittorrent branding bzip2 cairo calendar cann cdparanoia cdr cli cpudetection cracklib crypt cups curl dbus deprecated devil dga directfb discouraged distribution divx dlloader doc dri dts dv dvb dvd dvdr dvdread eds effects elisp emacs emboss emerald encode esd evo examples exif ext-man ext-rtf ext-tex extraicons fam fat fax fbcon fbcondecor fbsplash ffmpeg firefox flac flash foomaticdb fortran freetype fuse gb gcj gd gdbm gdphoto2 gedit gif gimp gimpprint glitz gmedia gnome gnutls gphoto2 gpm gstreamer gtk gtk2 gtkhtml hal hddtemp hfs howl html iconv idn ieee1394 imagemagick imlib inkjar ipv6 isdnlog jack java jfs joystick jpeg kde kdehiddenvisibility kerberos lcms ldap libao libcaca libg++ lirc lm_sensors logrotate mad mail mdnsresponder-compat midi mikmod mime mjpeg mmx mmxext mng mono mozbranding mozcalendar mozilla mp3 mpeg mplayer mudflap mysql nas nautilus ncurses networking new-login newspr nforce2 nls nptl nptlonly nsplugin ntfs nvidia odbc offensive ogg opengl openmp oss pam parport pcre pdf pdflib perl pmu png postgres ppds pppd python qt3 qt3support qt4 quicktime rar rdesktop readline realmedia reflection regex reiser4 reiserfs samba scanner sdl seamonkey servletapi session skins slp smp sndfile snmp sound sounds speex spell spl spreadsheet sqlite sse sse2 ssl startup-notification streams subversion svg swat symlink sysfs syslog tcltk tcpd tetex theora thesaurus threads thunderbird tidy tiff timidity tk truetype truetype-fonts type1 type1-fonts udev unicode usb utempter utils v4l vcd vdr voice vorbis vram weather wmf wmp wordperfect xattr xcb xcomposite xforms xfs xine xml xorg xpm xprint xscreensaver xv xvid zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="apm ark chips cirrus cyrix dummy fbdev glint i128 i810 mach64 mga neomagic nv r128 radeon rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Billy DeVincentis 2008-01-22 03:36:17 UTC
Just wanted to mention that on my debian sid box that runs xorg from git, apparently version from january 18th 2008, ut2004 on that box runs fine. That was installed with the regular ut2004 installer, I wonder if the problem possibly has to do with some patch in the ut2004 ebuilds?
Comment 2 Billy DeVincentis 2008-01-22 12:35:48 UTC
Okay, the version of xorg is 1.4.0.90-r2, after downgrading xorg-server to 1.3 series and the following list 
[ebuild     UD] x11-proto/renderproto-0.9.2 [0.9.3] 
[ebuild     UD] x11-libs/libXrender-0.9.2 [0.9.4] 
[ebuild     UD] x11-drivers/xf86-input-evdev-1.1.5-r2 [1.2.0] 
[ebuild     UD] x11-drivers/xf86-video-mga-1.4.6.1 [1.4.7] 
[ebuild     UD] x11-base/xorg-server-1.3.0.0-r4 [1.4.0.90-r2] USE="nptl*" 
[ebuild     UD] x11-drivers/xf86-input-keyboard-1.1.1-r1 [1.2.2] 
[ebuild     UD] x11-drivers/xf86-input-joystick-1.2.2 [1.3.1] 
[ebuild     UD] x11-base/xorg-x11-7.2 [7.3] 

I once again had a working mouse in ut2004.


Linux1 billydv # emerge --info
Portage 2.1.4 (default-linux/x86/2007.0/desktop, gcc-4.2.2, glibc-2.7-r1, 2.6.23-gentoo-r5 i686)
=================================================================
System uname: 2.6.23-gentoo-r5 i686 AMD Athlon(tm) XP 3000+
Timestamp of tree: Tue, 22 Jan 2008 06:30:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.3
dev-lang/python:     2.5.1-r5
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg distlocks fixpackages metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/miscellaneous"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowtext S3TC X a52 aac aalib accessibility acl acpi aiglx alsa amarok apm arts artworkextra asf audiofile automount avahi avi bash-completion berkdb bitmap-fonts bittorent branding bzip2 cairo calendar cann cdparanoia cdr cli cpudetection cracklib crypt cups curl dbus deprecated devil dga directfb discouraged divx dlloader doc dri dts dv dvb dvd dvdr dvdread eds effects elisp emacs emboss emerald encode esd evo examples exif ext-man ext-rtf ext-tex extraicons fam fat fax fbcon fbcondecor fbsplash ffmpeg firefox flac flash foomaticdb fortran freetype fuse gb gcj gd gdbm gdphoto2 gedit gif gimp gimpprint glitz gmedia gnome gnutls gphoto2 gpm gstreamer gtk gtk2 gtkhtml hal hddtemp hfs howl html iconv idn ieee1394 imagemagick imlib inkjar ipv6 isdnlog jack java jfs joystick jpeg kde kdehiddenvisibility kerberos lcms ldap libao libcaca libg++ lirc lm_sensors logrotate mad mail midi mikmod mime mjpeg mmx mmxext mng mono mozbranding mozcalendar mozilla mp3 mpeg mplayer mudflap mysql nas nautilus ncurses networking new-login newspr nforce2 nls nptl nptlonly nsplugin ntfs nvidia odbc offensive ogg opengl openmp oss pam parport pcre pdf pdflib perl pmu png postgres ppds pppd python qt3 qt3support qt4 quicktime rar rdesktop readline real realmedia reflection regex reiser4 reiserfs samba scanner sdl seamonkey session skins slp sndfile snmp sound sounds speex spell spl spreadsheet sqlite sse sse2 ssl startup-notification streams subversion svg svga swat symlink sysfs syslog tcltk tcpd tetex theora thesaurus threads thunderbird tidy tiff timidity tk truetype truetype-fonts type1 type1-fonts udev unicode usb utempter utils v4l vcd vdr voice vorbis vram weather win32codecs wmf wmp wordperfect x86 xattr xcb xcomposite xforms xfs xine xml xorg xpm xprint xscreensaver xv xvid zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="apm ark chips cirrus cyrix dummy fbdev glint i128 i740 i810 imstt mach64 mga neomagic nsc nv r128 radeon rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Jakub Moc (RETIRED) gentoo-dev 2008-01-22 12:42:02 UTC
*** Bug 206959 has been marked as a duplicate of this bug. ***
Comment 4 Doug Goldstein (RETIRED) gentoo-dev 2008-01-23 19:13:52 UTC
How is a mouse problem an issue with nvidia or ati drivers? Now if it was graphics corruption...

http://www.nvnews.net/vbulletin/showthread.php?t=106679
http://www.nvnews.net/vbulletin/showthread.php?t=104363
Comment 5 Jakub Moc (RETIRED) gentoo-dev 2008-01-23 19:39:33 UTC
Attach your xorg.conf and Xorg.0.log here.

(In reply to comment #4)
> How is a mouse problem an issue with nvidia or ati drivers? Now if it was
> graphics corruption...

@cardoe - x11-drivers@ != nvidia drivers (and if you dislike this, go create yourself a new alias and fix metadata.xml in nvidia-drivers finally, instead of bouncing bugs back and forth, I'm tired of this nonsense).
Comment 6 Billy DeVincentis 2008-01-23 22:58:25 UTC
Created attachment 141690 [details]
xorg.conf

heres my xorg.conf
Comment 7 Billy DeVincentis 2008-01-23 23:00:18 UTC
Created attachment 141691 [details]
xorg.0.log

My xorg log

I just wanted to say I have downgraded xorg to the 1.3 series on this machine in order to avoid this problem. It immediately worked after downgrading.
Comment 8 Billy DeVincentis 2008-01-25 23:40:31 UTC
I'm sorry but I never said this has anything to do with nvidia drivers but it DEFINITELY has something to do with xorg-server because after downgrading, ut2004 worked fine. It also probably has nothing to do with the ebuilds for ut2004 because when I tried installing ut2004 manually with the dvd, it had the very same problem.
Comment 9 Billy DeVincentis 2008-01-26 12:21:09 UTC
I just wanted to mention that I installed ut2004 on a box with opensuse 10.3 and that box doesn't have any problems. The problem is definitely gentoo specific since it occurs on 3 gentoo boxes whether ut2004 is installed through the ebuild or the ut2004 installer. Is there a way to start ut2004 that will allow me to get some idea of whats going on? I can't believe more people aren't complaining about this.
Comment 10 Vladimir G. Ivanovic 2008-01-28 17:42:41 UTC
When I upgraded to xorg-server-1.4.0.90-r2, several input-releated functions (middle mouse button paste, up arrow) stopped working. For instance, up arrow brought up Print Screen. Middle mouse button didn't paste anything. (All keys worked as expected without X in console mode.)

Re-emerging xorg-server-1.3.0.0-r4 fixed things. (I also had to re-emerge 
x11-drivers/xf86-input-keyboard-1.1.1-r1, x11-drivers/synaptics-0.14.6-r1, x11-drivers/xf86-input-mouse-1.2.3, x11-drivers/xf86-video-sis-0.9.4.)

BTW, I tried the hack suggested by the xf86-input-evdev emerge, but I saw no change in behavior.

I will attach my current, working xorg.0.log and `emerge --info`.
Comment 11 Vladimir G. Ivanovic 2008-01-28 17:43:47 UTC
Created attachment 142033 [details]
`emerge --info`
Comment 12 Vladimir G. Ivanovic 2008-01-28 17:44:34 UTC
Created attachment 142034 [details]
Current, working Xorg-server log file
Comment 13 Vladimir G. Ivanovic 2008-01-28 17:45:06 UTC
Created attachment 142036 [details]
Xorg configuration file
Comment 14 Billy DeVincentis 2008-02-07 12:38:11 UTC
Okay,  we  have  found  the  problem  on  the  forums  thanks  to  Paul  Bredbury.  Problem  is  what  to  do  about  it.  If  you  are  running  xorg-server  1.4*  you  need  to  start  sdl  games  that  use  the  mouse  with  
export SDL_VIDEO_X11_DGAMOUSE=0

So  I'm  wondering  what  changed  in  xorg-server  between  version  to  cause  this  problem  and  what  can  be  done  about  it  instead  of  adjusting  the startup  scripts  to  include  the  above? 
Comment 15 Billy DeVincentis 2008-02-08 22:10:02 UTC
Problem is with dgamouse extension
see here for a new libsdl ebuild to temporarily solve problem
http://bugs.gentoo.org/show_bug.cgi?id=209400
Comment 16 Alex Elsayed 2008-04-17 03:38:47 UTC
Hi, I'm running into the same keyboard problems as others have remarked. ( PgUp is /, PgDn is menu, up arrow is PrtSc,and many keys are nonfunctional. Control-Alt-backspace is not working either. ). Luckily, I use synaptics so my mouse works fine. I am pasting my emerge --info and will attach my Xorg.0.log and mt xorg.conf

Portage 2.1.4.4 (!/usr/portage/profiles/default-linux/amd64/2007.0/desktop/, gcc-4.2.2, glibc-2.7-r2, 2.6.24-zen5 x86_64)
=================================================================
System uname: 2.6.24-zen5 x86_64 AMD Turion(tm) 64 X2 Mobile Technology TL-62
Timestamp of tree: Unknown
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.3
dev-lang/python:     2.4.4-r9, 2.5.1-r5
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.24
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.0/env /usr/kde/4.0/share/config /usr/kde/4.0/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/paludis/repositories/gentoo/distfiles"
EMERGE_DEFAULT_OPTS=""
FEATURES="ccache digest distlocks metadata-transfer parallel-fetch sandbox sfperms splitdebug test unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://gentoo.osuosl.org http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LINGUAS="en en_US"
MAKEOPTS="-j3"
PKGDIR="/var/paludis/repositories/gentoo/packages"
PORTAGE_COMPRESS="lzma"
PORTAGE_COMPRESS_FLAGS="-z"
PORTAGE_RSYNC_EXTRA_OPTS=""
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/paludis/repositories/gentoo"
PORTDIR_OVERLAY="/var/paludis/repositories/local /var/paludis/repositories/custom-kernels /var/paludis/repositories/d /var/paludis/repositories/einit /var/paludis/repositories/etckeeper /var/paludis/repositories/enlightenment /var/paludis/repositories/initng /var/paludis/repositories/java-overlay /var/paludis/repositories/kde /var/paludis/repositories/nouveau /var/paludis/repositories/paludis-extras /var/paludis/repositories/perl-experimental /var/paludis/repositories/perturbis /var/paludis/repositories/plan9 /var/paludis/repositories/postgresql-testing /var/paludis/repositories/sajinet /var/paludis/repositories/science /var/paludis/repositories/secondlife /var/paludis/repositories/sunrise /var/paludis/repositories/vmware /var/paludis/repositories/voip /var/paludis/repositories/voyageur /var/paludis/repositories/wschlich-testing /var/paludis/repositories/xen"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="3dnow X Xaw3d a52 aac aalib accessibility acl acpi adns aim alsa amd64 ao apache2 arts audiofile avahi bash-completion bcmath berkdb bg bidi blas bluetooth bzip2 cairo calendar canna caps cddb cdinstall cdparanoia cdr chasen cjk clamav cli cracklib crypt cscope ctype cups curl curlwrappers dbase dbm dbus dga dnx doc dri dts dv dvb dvd dvdr dvdread eds emacs emboss encode esd evo examples exif expat fam fastcgi fbcon ffmpeg fftw firefox flac flatfile fltk foomaticdb fortran freetds freewnn ftp gcj gd gdbm geoip ggi gif ginac glut gmp gnome gnustep gnutls gphoto2 gpm gps graphvis gsl gstreamer gtk gtkhtml guile hal hardened howl htmlhandbook hyperwave-api iconv icq idn ieee1394 imagemagick imap imlib inifile innodb iodbc ipod ipv6 isdnlog jabber jack java javascript jbig jikes joystick jpeg jpeg2k junit kde kdehiddenvisibility kerberos ladspa lapack lash lcms ldap leim libcaca libgda libnotify libsamplerate libwww lirc lm_sensors lua m16n-lib mad maildir mailwrapper matroska mcal mcve memlimit mhash midi migemo mikmod milter mime mmap mmx mng mnogosearch mono motif mozilla mp3 mpeg mpi mplayer msn mudflap mule musepack musicbrainz nas ncurses neXt netboot netcdf nis nls nntp nocd nptl nptlonly nsplugin ocaml odbc offensive ofx ogg openal openexr opengl openmp osc oscar oss pam pcmcia pcntl pcre pda pdf perl pertty plotutils png portaudio posix postgres ppds pppd python qdbm qt3 qt3support qt4 quicktime rdesktop readline recode reflection ruby samba scanner sdl selinux session sharedext sharedmem shorten simplexml skey slang slp smartcard sndfile snmp soap sockets socks5 sox speex spell spl sqlite3 sse sse2 ssl startup-notification svg symlink syslog sysvipc szip tcl tcpd tetex theora threads tidy tiff tk tokenizer truetype unicode usb v4l vcd vhosts videos vim-syntax vorbis wddx wifi win32codec wmf wxwindows x264 xattr xcomposite xface xine xinerama xinetd xml xml-rpc xorg xosd xpm xprint xscreensaver xsl xv xvid yahoo yaz zlib zsh-completion" ALSA_CARDS="ad1816a ad1848 ad1848-lib ad1889 adlib ali5451 als100 als300 als4000 atiixp atiixp-modem au8810 au8820 au8830 azt2320 azt3328 bt87x ca0106 cmi8330 cmipci cs4231 cs4231-lib cs4232 cs4236 cs4281 cs46xx darla20 darla24 dt019x dummy echo3g emu10k1 emu10k1x ens1370 ens1371 es1688 es18xx es1938 es1968 es968 fm801 fm801-tea575x gina20 gina24 gusclassic gusextreme gusmax hda-intel hdsp hdspm ice1712 ice1724 indigo indigodj indigoio intel8x0 intel8x0m interwave interwave-stb korg1212 layla20 layla24 loopback maestro3 mia miro mixart mona mpu401 msnd-pinnacle mtpav mts64 nm256 opl3sa2 opti92x-ad1848 opti92x-cs4231 opti93x pc98-cs4232 pcsp pcxhr pdaudiocf pdplus portman2x4 riptide rme32 rme96 rme9652 s3c2410 sa11xx-uda1341 sb16 sb8 sbawe seq-dummy serial-u16550 sgalaxy soc sonicvibes sscape trident usb-audio usb-usx2y via82xx via82xx-modem virmidi vx222 vxpocket wavefront ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_alias authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex dav dav_fs dav_lock dbd deflate dir env expires ext_filter filter headers ident imagemap include info log_config log_forensic mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack version vhost_alias" APACHE2_MPMS="event" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" PALUDIS_HOOKS="ask eselect check-security-updates collision-protect compress-man nice undo-prelink update-eix sync-disks" USERLAND="GNU" VIDEO_CARDS="fbdev glint nv nvidia nouveau v4l vesa vga"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LDFLAGS
Comment 17 Alex Elsayed 2008-04-17 03:39:53 UTC
Created attachment 150008 [details]
Alex Elsayed (eternaleye)'s xorg.conf
Comment 18 Alex Elsayed 2008-04-17 03:40:32 UTC
Created attachment 150010 [details]
Alex Elsayed (eternaleye)'s Xorg.0.log
Comment 19 Alex Elsayed 2008-04-17 03:56:51 UTC
(In reply to comment #16)
Okay, after looking at the X.Org mailing list, I commented all

Option "Xkb*" *

lines in my xorg.conf, and now everything except my up arrow key is working fine.
Comment 20 kavol 2009-05-07 21:30:42 UTC
(In reply to comment #14)
> If  you  are  running 
> xorg-server  1.4*  you  need  to  start  sdl  games  that  use  the  mouse 
> with  
> export SDL_VIDEO_X11_DGAMOUSE=0

thanks, this fixes the erratic mouse behaviour

just for the record, I tried it with dosbox, another software affected is for example qemu ... someone should change the summary as this is not UT2004-specific problem
Comment 21 Rémi Cardona gentoo-dev 2009-06-23 20:01:21 UTC
Hi all,

Could those of you using ~arch systems try again DGA-enabled apps with xorg-server 1.6 and an up-to-date X stack?

Thanks
Comment 22 Billy DeVincentis 2009-06-24 00:10:53 UTC
Fixed in xorg-server 1.6 series
Comment 23 Rémi Cardona gentoo-dev 2009-06-24 06:03:58 UTC
Thanks for the follow up! :)